> For the complete documentation index, see [llms.txt](https://developer.openactive.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.openactive.io/data-model/types/customeraccount.md).

# CustomerAccount

This page describes the CustomerAccount type.

## **EARLY RELEASE NOTICE**

This class represents a draft that is designed to inform the OpenActive specification work with implementation feedback. IT IS STILL SUBJECT TO CHANGE, as the [Customer Accounts proposal](https://github.com/openactive/customer-accounts) evolves.

## **Properties**

### **Optional properties**

| Property              | Expected Type                                                                                                                                                                                                       | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| --------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| @type                 | [`Text`](https://schema.org/Text)                                                                                                                                                                                   | Must always be present and set to `"@type": "CustomerAccount"`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| @id                   | [`URL`](https://schema.org/URL)                                                                                                                                                                                     | <p>A unique URI-based identifier for the record.</p><p><code>@id</code> properties are used as identifiers for compatibility with JSON-LD. The value of such a property must always be an absolute URI that provides a stable globally unique identifier for the resource, as described in <a href="https://tools.ietf.org/html/rfc3986">RFC3986</a>.</p><p>The primary purpose of the URI format in this context is to provide natural namespacing for the identifier. Hence, the URI itself may not resolve to a valid endpoint, but must use a domain name controlled by the resource owner (the organisation responsible for the OpenActive open data feed).</p><p><br>Example</p><p><code>"@id": "<https://id.bookingsystem.example.com/customer-accounts/fdc14503-275e-46d3-9922-45b986c9f9aa>"</code></p> |
| accessPass            | Array of [`Barcode`](https://developer.openactive.io/data-model/types/barcode)                                                                                                                                      | The barcode, QR code, magnetic stripe, or swipe card associated with this Customer Account, within their own namespaces.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| accountNumber         | [`Text`](https://schema.org/Text)                                                                                                                                                                                   | The customer-facing identifier for the Customer Account.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| customer              | <p><a href="https://developer.openactive.io/data-model/types/person"><code>Person</code></a><br>- or -<br><a href="https://developer.openactive.io/data-model/types/organization"><code>Organization</code></a></p> | The person or organization to whom this Customer Account belongs.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| entitlement           | Array of [`Entitlement`](https://developer.openactive.io/data-model/types/entitlement)                                                                                                                              | The current valid and active entitlements associated with this customer. Note that expired or inactive entitlements are not included in this list.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| hasHiddenEntitlements | [`Boolean`](https://schema.org/Boolean)                                                                                                                                                                             | <p>Whether there are any additional entitlements (other than those listed in entitlement) or other types of discounts are associated with the Customer Account that will influence pricing, and therefore whether the pricing for the entitlement in the feed should be treated as indicative.</p><p><br>Example</p><p><code>"hasHiddenEntitlements": "true"</code></p>                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| identifier            | [`Text`](https://schema.org/Text)                                                                                                                                                                                   | <p>The identifier of the Customer Account used by the Booking System.</p><p><br>Example</p><p><code>"identifier": "fdc14503-275e-46d3-9922-45b986c9f9aa"</code></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| outstandingAction     | Array of [`Action`](https://developer.openactive.io/data-model/types/action)                                                                                                                                        | Outstanding actions on this Customer Account, such as the resolution of outstanding debts or membership renewal. These may prevent the Customer from making bookings.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |

Except as otherwise noted, the content of this page is licensed under the [Creative Commons Attribution License (CC-BY V4.0)](https://creativecommons.org/licenses/by/4.0/), and code samples are licensed under the [MIT License](https://opensource.org/licenses/MIT), for anyone to access, use and share; using attribution "[OpenActive](https://www.openactive.io/)".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.openactive.io/data-model/types/customeraccount.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
